module.exports = {
  parser: 'babel-eslint',
  plugins: [
    'react',
    'flowtype',
    'import',
    'babel'
  ],
  extends: ['airbnb'],
  rules:
  {
    'import/no-duplicates': 1,
    'no-duplicate-imports': 0,
    'babel/new-cap': 0,
    'new-cap': 0,
    'arrow-parens': 0,
    'babel/no-await-in-loop': 1,
    semi: 0,
    'comma-dangle': 0,
    'react/jsx-filename-extension': 0,
    'react/require-extension': 'off',
    'flowtype/boolean-style': [
      2,
      'boolean'
    ],
    'flowtype/define-flow-type': 1,
    'flowtype/delimiter-dangle': [
      2,
      'never'
    ],
    'flowtype/generic-spacing': [
      2,
      'never'
    ],
    'flowtype/no-weak-types': 2,
    'flowtype/require-parameter-type': 2,
    'flowtype/require-return-type': [
      2,
      'always',
      {
        annotateUndefined: 'never'
      }
    ],
    'flowtype/require-valid-file-annotation': 2,
    'flowtype/semi': [
      2,
      'never'
    ],
    'flowtype/space-after-type-colon': [
      2,
      'always'
    ],
    'flowtype/space-before-generic-bracket': [
      2,
      'never'
    ],
    'flowtype/space-before-type-colon': [
      2,
      'never'
    ],
    'flowtype/type-id-match': [
      2,
      '^([A-Z][a-z0-9]+)+Type$'
    ],
    'flowtype/union-intersection-spacing': [
      2,
      'always'
    ],
    'flowtype/use-flow-type': 1,
    'flowtype/valid-syntax': 1
  },
  settings:
  {
    flowtype:
    {
      onlyFilesWithFlowAnnotation: false
    }
  }
}
